> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-dfb0ffc0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider Details

> Fetches the Providers based on the HIP ID.



## OpenAPI

````yaml get /abdm/v1/provider/{hip_id}
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/provider/{hip_id}:
    get:
      description: Fetches the Providers based on the HIP ID.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
        - description: Identifier for the Health Information Provider (HIP).
          in: path
          name: hip_id
          required: true
          schema:
            description: Identifier for the Health Information Provider (HIP).
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderResponseType2'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ProviderResponseType2:
      properties:
        city:
          description: City where the Health Information Provider (HIP) is located.
          type:
            - 'null'
            - string
        hip_id:
          description: Identifier for the Health Information Provider (HIP).
          type: string
        hip_name:
          description: Name of the Health Information Provider (HIP).
          type:
            - 'null'
            - string
        state:
          description: State where the Health Information Provider (HIP) is located.
          type:
            - 'null'
            - string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````